Bug 766467 - Remove brick operation is not working properly
Remove brick operation is not working properly
Status: CLOSED WORKSFORME
Product: GlusterFS
Classification: Community
Component: glusterd (Show other bugs)
mainline
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: krishnan parthasarathi
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-12-12 01:08 EST by shylesh
Modified: 2015-11-03 18:04 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-12-19 01:17:51 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description shylesh 2011-12-12 01:08:55 EST
Description of problem:
Remove brick operation is not working properly 

Version-Release number of selected component (if applicable):
3.3.0qa15

How reproducible:
Always

Steps to Reproduce:
1. Created a distribute volume with 2 bricks
2. Try to remove one of the brick using remove-brick command

  
Actual results:
Got the error message "Deleting all the bricks of the volume is not allowed" and could not remove the brick

Expected results:
Remove brick is supposed to succeed

Additional info:
LOG:
----

[2011-12-12 00:37:49.832864] I [glusterd-handler.c:1211:glusterd_op_lock_send_resp] 0-glusterd: Responded, ret: 0
[2011-12-12 00:37:49.833074] I [glusterd-handler.c:514:glusterd_req_ctx_create] 0-glusterd: Received op from uuid: 9e766670-dfd7-4a42-ab3a-6b755d51e511
[2011-12-12 00:37:49.833168] E [glusterd-op-sm.c:2045:glusterd_op_ac_stage_op] 0-: Validate failed: -1
[2011-12-12 00:37:49.833244] I [glusterd-handler.c:1304:glusterd_op_stage_send_resp] 0-glusterd: Responded to stage, ret: 0
[2011-12-12 00:37:49.833380] I [glusterd-handler.c:1254:glusterd_handle_cluster_unlock] 0-glusterd: Received UNLOCK from uuid: 9e766670-dfd7-4a42-ab3a-6b755d51e511
[2011-12-12 00:37:49.833427] I [glusterd-handler.c:1231:glusterd_op_unlock_send_resp] 0-glusterd: Responded to unlock, ret: 0
[2011-12-12 01:02:25.406553] I [glusterd-handler.c:476:glusterd_handle_cluster_lock] 0-glusterd: Received LOCK from uuid: 9e766670-dfd7-4a42-ab3a-6b755d51e511
[2011-12-12 01:02:25.407242] I [glusterd-utils.c:259:glusterd_lock] 0-glusterd: Cluster lock held by 9e766670-dfd7-4a42-ab3a-6b755d51e511
[2011-12-12 01:02:25.407337] I [glusterd-handler.c:1211:glusterd_op_lock_send_resp] 0-glusterd: Responded, ret: 0
[2011-12-12 01:02:25.407520] I [glusterd-handler.c:514:glusterd_req_ctx_create] 0-glusterd: Received op from uuid: 9e766670-dfd7-4a42-ab3a-6b755d51e511
[2011-12-12 01:02:25.407587] E [glusterd-op-sm.c:2045:glusterd_op_ac_stage_op] 0-: Validate failed: -1
[2011-12-12 01:02:25.407659] I [glusterd-handler.c:1304:glusterd_op_stage_send_resp] 0-glusterd: Responded to stage, ret: 0
[2011-12-12 01:02:25.407791] I [glusterd-handler.c:1254:glusterd_handle_cluster_unlock] 0-glusterd: Received UNLOCK from uuid: 9e766670-dfd7-4a42-ab3a-6b755d51e511
[2011-12-12 01:02:25.407835] I [glusterd-handler.c:1231:glusterd_op_unlock_send_resp] 0-glusterd: Responded to unlock, ret: 0

Note You need to log in before you can comment on or make changes to this bug.